# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`twit_motd`](#twit_motd): Setup dedicated motd to setup motd.
* [`twit_motd::notify`](#twit_motd--notify): Notifiy the motd service for specific OS
* [`twit_motd::params`](#twit_motd--params): Defines the OS params

#### Private Classes

* `twit_motd::config`: Configure the motd

### Defined types

* [`twit_motd::register`](#twit_motd--register): Register a motd message into motd.

## Classes

### <a name="twit_motd"></a>`twit_motd`

This module can be use in all other modules to announce the module usage in motd

#### Parameters

The following parameters are available in the `twit_motd` class:

* [`motd_mailcontact`](#-twit_motd--motd_mailcontact)
* [`motd_motd`](#-twit_motd--motd_motd)

##### <a name="-twit_motd--motd_mailcontact"></a>`motd_mailcontact`

Data type: `Stdlib::Email`

Specify the email address as contact in motd

Default value: `'your@e-mail.ltd'`

##### <a name="-twit_motd--motd_motd"></a>`motd_motd`

Data type: `Optional[String[1]]`

A string of a custom motd message

Default value: `undef`

### <a name="twit_motd--notify"></a>`twit_motd::notify`

Notifiy the motd service for specific OS

### <a name="twit_motd--params"></a>`twit_motd::params`

All defined params for different OS types

## Defined types

### <a name="twit_motd--register"></a>`twit_motd::register`

This register can be used from modules to put a message into the motd

#### Parameters

The following parameters are available in the `twit_motd::register` defined type:

* [`content`](#-twit_motd--register--content)
* [`order`](#-twit_motd--register--order)

##### <a name="-twit_motd--register--content"></a>`content`

Data type: `String`

String of a message

Default value: `''`

##### <a name="-twit_motd--register--order"></a>`order`

Data type: `String`

Define the position of the message

Default value: `'10'`

